org.eclipse.emf.facet.util.swt.colorprovider

## Interface IColorProviderFactory

    public interface IColorProviderFactory

### Field Summary

Fields
`static IColorProviderFactory` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`IColorProvider` `getOrCreateIColorProvider(Device device)`

### Field Detail

#### DEFAULT

    static final IColorProviderFactory DEFAULT

### Method Detail

#### getOrCreateIColorProvider

    IColorProvider getOrCreateIColorProvider(Device device)